 if (!global._babelPolyfill) {
  try {
    require('babel-polyfill')
  } catch(e) { }
}

import _Document from './document'
import _Collection from './collection'

export const Document = _Document
export const Collection = _Collection

export default Collection

export function mount(base = process.cwd(), options = {}) {
  return Collection.mount(base, options)
}

Object.defineProperty(Document, 'Collection', {
  enumerable: false,
  get: function() {
    return require('./collection')
  }
})
