'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Collection = exports.Document = undefined;
exports.mount = mount;

var _document = require('./document');

var _document2 = _interopRequireDefault(_document);

var _collection = require('./collection');

var _collection2 = _interopRequireDefault(_collection);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

if (!global._babelPolyfill) {
  try {
    require('babel-polyfill');
  } catch (e) {}
}

var Document = exports.Document = _document2.default;
var Collection = exports.Collection = _collection2.default;

exports.default = Collection;
function mount() {
  var base = arguments.length <= 0 || arguments[0] === undefined ? process.cwd() : arguments[0];
  var options = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  return Collection.mount(base, options);
}

Object.defineProperty(Document, 'Collection', {
  enumerable: false,
  get: function get() {
    return require('./collection');
  }
});